EDIT - task #9123

Fix BigDecimal algebra in aggregation algorithms
07/04/2020 02:52 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

see #8978 for details

Related issues:

Related to EDIT - feature request #8978: Implement measurement values as BigD... Closed
Related to EDIT - feature request #9080: Use detailElement of quantitative da... New
Related to EDIT - feature request #7980: Enhance matrix description aggregation Closed
Copied from EDIT - task #9810: Test if BigDecimal algebra is correct in Polyt... New

Associated revisions

Revision b55fc921 - 09/29/2021 11:52 AM - Andreas Miiller

ref #9123 add rounding to average computing in DDS aggregation (not yet complete)

Revision b7cfb9fb - 09/29/2021 02:31 PM - Andreas Miiller

ref #9123 improve precision handling for average computing in DDS aggregation

History

#1 - 07/04/2020 02:52 PM - Andreas Miuller

- Related to feature request #8978: Implement measurement values as BigDecimal added

#2 - 07/04/2020 02:55 PM - Andreas Miuller

- Related to feature request #9080: Use detailElement of quantitative data in dialog of character matrix added

#3 - 12/03/2020 06:09 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#4 - 01/27/2021 03:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:35 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#6 - 04/16/2021 09:46 PM - Andreas Miuller

- Target version changed from Release 5.22 to Release 5.46

#7 - 09/29/2021 11:49 AM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Release 5.46 to Release 5.45

There is a problem with average computing in aggregation. RoundingMode is missing.

Once this is fixed we need to check how to handle that rounding errors are not propagated etc.

#8 - 09/29/2021 11:50 AM - Andreas Miiller

- Related to feature request #7980: Enhance matrix description aggregation added
#9 - 09/29/2021 02:40 PM - Andreas Miiller
- % Done changed from 0 to 20

Rounding in aggregation is now done using MathContext. DECIMAL32 and stripTrailingZeros(). This avoids rounding errors when computing average.
stripTrailingZeros() may sometimes reduce precision more then it should by it avoids having always a precision=7 once there was a single
computation step that resulted in a rounding issue.

As average is not an important parameter for aggregation this should be sufficient.

#10 - 09/29/2021 02:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27

#11 - 10/12/2021 05:36 PM - Andreas Miiller
- Copied from task #9810: Test if BigDecimal algebra is correct in PolytomousKey algorithms added

#12 - 10/12/2021 05:45 PM - Andreas Miiller
- Tags changed from additivity to additivity, aggregation

- Subject changed from Test if BigDecimal algebra is correct in Aggregation and PolytomousKey algorithms to Fix BigDecimal algebra in aggregation
algorithms

- Status changed from In Progress to Closed
- Priority changed from New to Priority14
- % Done changed from 20 to 100

Moved polytomous key handling to new ticket #9810

04/19/2024 22


https://dev.e-taxonomy.eu/redmine/issues/9810
http://www.tcpdf.org

